[![NPM](https://nodei.co/npm/ipynb-editor.png?mini=true)](https://www.npmjs.com/package/ipynb-editor)

<!-- [![NPM](https://nodei.co/npm/ipynb-editor-katex.png?mini=true)](https://www.npmjs.com/package/ipynb-editor-katex) -->

| solarizedl and duotone forest themes                                                                                          | monokai and xonokai themes                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| ![solarizedl with duotone_earth](https://github.com/kimsengduong/ipynb-editor/raw/master/images/solarizedl-duotone_earth.png) | ![monokai with xonokai](https://github.com/`kimsengduong/ipynb-editor/raw/master/images/monokai-xonokai.png) |

This component draws an ipynb file in Jupyter Notebook.
You can use MathJax to render math expressions; install `ipynb-editor` if you use MathJax.

If you are not particular, we recommend ipynb-editor.

<!--
### Demo

- https://codesandbox.io/s/ipynb-editor-sample-kbu4z?file=/src/App.tsx
- https://codesandbox.io/s/ipynb-editor-katex-sample-770np1?file=/src/App.tsx
 -->

# Install

```sh
$ npm install --save ipynb-editor
```

# Usage

Just pass an ipynb json object to `IpynbEditor` component.

## Code example

### Using ipynb-editor

```jsx
import { IpynbEditor } from 'ipynb-editor';

// Jupyter theme
import 'ipynb-editor/dist/styles/monokai.css';
// import ipynb file as json
import ipynb from './test.ipynb';

export const Component = () => {
  return <IpynbEditor ipynb={ipynb} />;
};
```

#### How to use this on Next.js

```jsx
import dynamic from 'next/dynamic';
const IpynbEditor = dynamic(
  () => import('ipynb-editor').then(mod => mod.IpynbEditor),
  {
    ssr: false,
  },
);
// import ipynb file as json
import ipynb from './test.ipynb';

export const Component = () => {
  return <IpynbEditor ipynb={ipynb} />;
};
```

<!--
### Using ipynb-editor-katex

```jsx
import { IpynbEditor } from 'ipynb-editor-katex';

// Formula renderer for katex
import 'katex/dist/katex.min.css';

// Jupyter theme
import 'ipynb-editor-katex/dist/styles/monokai.css';
// import ipynb file as json
import ipynb from './test.ipynb';

export const Component = () => {
  return <IpynbEditor ipynb={ipynb} />;
};
``` -->
<!--
# Links

- https://docs.walkframe.com/products/ipynb-editor/
- https://www.npmjs.com/package/ipynb-editor -->
